name: floodwatch
description: "A new Flutter project."
publish_to: 'none' # Remove this line if you wish to publish to pub.dev
version: 1.0.0+1

environment:
  sdk: ^3.6.1

dependencies:
  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.8
  fl_chart: ^0.70.2
  http: ^1.3.0
  intl: ^0.20.2
  provider: ^6.1.2
  timezone: ^0.10.0
  async: ^2.11.0
  flutter_map: ^7.0.2
  flutter_map_cancellable_tile_provider: ^3.0.2
  latlong2: ^0.9.1
  flutter_map_marker_cluster: ^1.4.0

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^5.0.0


flutter:
  uses-material-design: true
  fonts:
    - family: UbuntuSans
      fonts:
        - asset: fonts/ubuntu_sans/UbuntuSans-Thin.ttf
          weight: 100
        - asset: fonts/ubuntu_sans/UbuntuSans-ThinItalic.ttf
          weight: 100
          style: italic
        - asset: fonts/ubuntu_sans/UbuntuSans-ExtraLight.ttf
          weight: 200
        - asset: fonts/ubuntu_sans/UbuntuSans-ExtraLightItalic.ttf
          weight: 200
          style: italic
        - asset: fonts/ubuntu_sans/UbuntuSans-Light.ttf
          weight: 300
        - asset: fonts/ubuntu_sans/UbuntuSans-LightItalic.ttf
          weight: 300
          style: italic
        - asset: fonts/ubuntu_sans/UbuntuSans-Regular.ttf
          weight: 400
        - asset: fonts/ubuntu_sans/UbuntuSans-Italic.ttf
          weight: 400
          style: italic
        - asset: fonts/ubuntu_sans/UbuntuSans-Medium.ttf
          weight: 500
        - asset: fonts/ubuntu_sans/UbuntuSans-MediumItalic.ttf
          weight: 500
          style: italic
        - asset: fonts/ubuntu_sans/UbuntuSans-SemiBold.ttf
          weight: 600
        - asset: fonts/ubuntu_sans/UbuntuSans-SemiBoldItalic.ttf
          weight: 600
          style: italic
        - asset: fonts/ubuntu_sans/UbuntuSans-Bold.ttf
          weight: 700
        - asset: fonts/ubuntu_sans/UbuntuSans-BoldItalic.ttf
          weight: 700
          style: italic
        - asset: fonts/ubuntu_sans/UbuntuSans-ExtraBold.ttf
          weight: 800
        - asset: fonts/ubuntu_sans/UbuntuSans-ExtraBoldItalic.ttf
          weight: 800
          style: italic
    
    - family: UbuntuSansMono
      fonts:
        - asset: fonts/ubuntu_sans_mono/UbuntuSansMono-Regular.ttf
          weight: 400
        - asset: fonts/ubuntu_sans_mono/UbuntuSansMono-Italic.ttf
          weight: 400
          style: italic
        - asset: fonts/ubuntu_sans_mono/UbuntuSansMono-Medium.ttf
          weight: 500
        - asset: fonts/ubuntu_sans_mono/UbuntuSansMono-MediumItalic.ttf
          weight: 500
          style: italic
        - asset: fonts/ubuntu_sans_mono/UbuntuSansMono-SemiBold.ttf
          weight: 600
        - asset: fonts/ubuntu_sans_mono/UbuntuSansMono-SemiBoldItalic.ttf
          weight: 600
          style: italic
        - asset: fonts/ubuntu_sans_mono/UbuntuSansMono-Bold.ttf
          weight: 700
        - asset: fonts/ubuntu_sans_mono/UbuntuSansMono-BoldItalic.ttf
          weight: 700
          style: italic